1. Docs
  2. API Reference
  3. Verify identity email address

Verify identity email address

POST/v1/identity/auth/verify-email

Request body

  • tokenstring*

    Email verification token

Code samples

cURLJavaScriptPythonGo
curl -X POST "https://api.canopy.dev/v1/identity/auth/verify-email" \
  -H "Content-Type: application/json" \
  -d '{
    "token": "string"
  }'

Responses

200 Email verified
{
  "message": "string"
}

application/json

  • messagestring*

Returned object

On this page

Related endpoints

POSTAuthenticate identity and receive tokens
POSTIdentity multi-App login: complete Application selection from pre-auth session
POSTRefresh identity access token
POSTLogout identity and revoke tokens
POSTResend identity verification email
POSTRequest identity password reset
POSTReset identity password with token
POSTChange identity password (authenticated)
GETGet current identity profile
GETList identity active sessions
DELETERevoke a specific identity session
POSTLook up invite details by token
POSTAccept an invite